package waf

import (
	"github.com/gin-gonic/gin"
	"github.com/go-nunu/nunu-layout-advanced/internal/handler"
	"github.com/go-nunu/nunu-layout-advanced/internal/service/api/waf"
)

type GatewayipHandler struct {
	*handler.Handler
	gatewayipService waf.GatewayipService
}

func NewGatewayipHandler(
    handler *handler.Handler,
    gatewayipService waf.GatewayipService,
) *GatewayipHandler {
	return &GatewayipHandler{
		Handler:      handler,
		gatewayipService: gatewayipService,
	}
}

func (h *GatewayipHandler) GetGatewayip(ctx *gin.Context) {

}
